#include <SPI.h>
#include <Ethernet.h>
byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED };
byte ip[] = { 192, 168, 1, 88}; // IP address of this web server
EthernetServer server(80);
void setup()
{
  Ethernet.begin(mac, ip);
  server.begin();
  DDRA = 0B11111111;
  delay(1000);
}
void loop()
{
  EthernetClient client = server.available();
  if (client) 
  {
    while (client.connected()) 
    {
      if (client.available()) 
      {     
        char c = client.read();
        switch(c)
        {
          case '0': PORTA = 0B00000000;
                          break;
          case '1': PORTA = 0B00000001;
                          break;
          case '2': PORTA = 0B00000010;
                          break;  
          case '3': PORTA = 0B00000100;
                          break;      
          case '4': PORTA = 0B00001000;
                          break;
          case '5': PORTA = 0B00010000;
                          break;
          case '6': PORTA = 0B00100000;
                          break;  
          case '7': PORTA = 0B01000000;
                          break;     
          case '8': PORTA = 0B10000000;
                          break;                      
        }
      }
    }  
    delay(1);
    client.stop();
  }
}
